Skip to main content
PATCH
Update Batch Schedule

Authorizations

Authorization
string
header
required

Project API key (sk-kupe-...) or a Supabase user JWT.

Path Parameters

batch_id
string
required

Body

application/json

{} (all fields default/None) means unscheduled — manual start/pause/ resume only, same as before this feature existed.

recurrence
enum<string> | null
Available options:
once,
daily,
weekly,
monthly
start_at
string<date-time> | null
days_of_week
integer[]

0=Sun..6=Sat, weekly only

day_of_month
integer | null

monthly only

Required range: 1 <= x <= 28
window_start
string | null

HH:MM local dial-window start

window_end
string | null

HH:MM local dial-window end

timezone
string
default:UTC
limit_per_period
integer | null
Required range: x >= 1

Response

Successful Response

id
string
required
org_id
string
required
project_id
string
required
agent_id
string
required
telephony_account_id
string
required
name
string
required
status
enum<string>
required
Available options:
draft,
running,
paused,
completed,
cancelled
max_concurrent_calls
integer
required
retry_policy
RetryPolicy · object
required
created_at
string<date-time>
required
schedule
BatchSchedule · object

{} (all fields default/None) means unscheduled — manual start/pause/ resume only, same as before this feature existed.

recipient_list_id
string | null
created_by
string | null
started_at
string<date-time> | null
completed_at
string<date-time> | null
hidden_at
string<date-time> | null